#
# spec file for package yast2-profile-manager (Version 2.15.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit ConsoleKit-32bit PolicyKit aaa_base acl attr audit-libs audit-libs-32bit autoconf automake bash binutils blocxx boost bzip2 coreutils cpio cpp cpp42 cracklib cracklib-32bit curl curl-ca-bundle cvs cyrus-sasl dbus-1 dbus-1-32bit dbus-1-glib dejagnu desktop-translations diffutils dirmngr doxygen expat expect file filesystem fillup findutils flex gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib2 glibc glibc-32bit glibc-devel glibc-locale gpg2 grep groff gzip hal hwinfo info insserv iproute2 ldapcpplib less libacl libattr libbz2-1 libbz2-devel libcurl4 libdb-4_5 libdb-4_5-32bit libexpat1 libgcc42 libgcrypt libgomp42 libgpg-error libicu libidn libksba libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libpng libreadline5 libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtool libusb libuuid1 libvolume_id libxcrypt libxcrypt-32bit libxcrypt-devel libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-certs pam pam-32bit pam-config pam-modules parted patch pcre pcre-devel perl perl-Digest-SHA1 perl-Parse-RecDescent perl-X500-DN perl-XML-Bare perl-XML-Parser perl-XML-Writer perl-base perl-gettext permissions pinentry pkg-config pmtools popt pth pwdutils rpm scpm scpm-devel sed setserial sqlite sysconfig sysvinit tar tcl texinfo timezone unzip update-desktop-files util-linux xorg-x11-libX11 xorg-x11-libXau xorg-x11-libxcb yast2 yast2-core yast2-core-devel yast2-country yast2-devtools yast2-hardware-detection yast2-installation yast2-ldap yast2-ldap-client yast2-network yast2-packager yast2-pam yast2-perl-bindings yast2-pkg-bindings yast2-security yast2-testsuite yast2-transfer yast2-users yast2-xml zlib zlib-devel

Name:           yast2-profile-manager
Version:        2.15.1
Release:        0.1
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-profile-manager-2.15.1.tar.bz2
Prefix:         /usr
BuildRequires:  doxygen gcc-c++ libxcrypt-devel perl-XML-Writer scpm-devel update-desktop-files yast2-core-devel yast2-devtools yast2-testsuite yast2-users
Requires:       yast2 yast2-users
Requires:       scpm >= 0.9.4
Summary:        YaST2 - Profile Configuration

%description
This module is used to configure various settings for SCPM (System
Configuration Profile Management), which allows you to store different
profiles of your system configuration and switch between them.



Authors:
--------
    Jiri Suchomel <jsuchome@suse.cz>

%debug_package
%prep
%setup -n yast2-profile-manager-2.15.1

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/profile-manager
/usr/share/YaST2/include/profile-manager/*
/usr/share/YaST2/clients/profile-manager.ycp
/usr/share/YaST2/clients/profile_manager.ycp
/usr/share/YaST2/modules/ProfileManager.ycp
/usr/share/YaST2/modules/ProfileManager.ybc
%{prefix}/share/applications/YaST2/profile-manager.desktop
/usr/share/YaST2/scrconf/*.scr
%{_libdir}/YaST2/plugin/libpy2ag_scpm.so.*
%{_libdir}/YaST2/plugin/libpy2ag_scpm.so
%{_libdir}/YaST2/plugin/libpy2ag_scpm.la
%doc %{prefix}/share/doc/packages/yast2-profile-manager
%changelog
* Tue Nov 06 2007 - jsuchome@suse.cz
- read from correct config file (#337913)
- do not write translated "file"/"service" into DB (#337913)
- 2.15.1
* Tue Jun 12 2007 - jsuchome@suse.cz
- check if resource group is installed before selecting it (#143273)
- translate "file"/"service"
- 2.15.0
* Fri May 25 2007 - jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Fri Nov 10 2006 - jsuchome@suse.cz
- mark forgotten text for translation (#219795)
- 2.14.1
* Mon Nov 06 2006 - jsuchome@suse.cz
- new version for new product
- 2.14.0
* Mon Jun 26 2006 - jsuchome@suse.cz
- enhanced help text about resources (#145450) and about
  profile management tools (#181604)
- 2.13.5
* Fri Feb 17 2006 - jsuchome@suse.cz
- enabled Close button after progress is finished (#151262)
- correctly save the scpm status when disabling (#151265)
- reduced BuildRequires
- 2.13.4
* Tue Jan 31 2006 - jsuchome@suse.cz
- added warning when NetworkManager is enabled
- 2.13.3
* Fri Jan 27 2006 - jsuchome@suse.cz
- merged texts from proofreading
- 2.13.2
* Mon Dec 19 2005 - jsuchome@suse.cz
- merged texts from proofreading
- 2.13.1
* Wed Nov 23 2005 - jsuchome@suse.cz
- changed to be only configation tool for scpm (F5360)
- 2.13.0
* Mon Jul 25 2005 - jsuchome@suse.cz
- added scpm-devel to neededforbuild
- 2.12.1
* Wed Jun 22 2005 - jsuchome@suse.cz
- fixed texts from proofreader (rwalter)
- 2.12.0
* Thu May 05 2005 - jsuchome@suse.cz
- postpone some actions until they are really needed (#39995)
* Mon Feb 07 2005 - jsuchome@suse.cz
- merged texts from proofreading
- 2.11.2
* Tue Jan 18 2005 - jsuchome@suse.cz
- fixed OK/Cancel button positions in popup
- removed unused code (only resource groups are supported)
- 2.11.1
* Tue Jan 04 2005 - jsuchome@suse.cz
- added dialog for choosing Recover or Rollback
- scpm-agent: added support for rollback (SCPM::Recover (true))
- 2.11.0
* Fri Dec 10 2004 - jsuchome@suse.cz
- removed select's
- enable using some special characters (@,#) for profile names (#49109)
* Wed Sep 08 2004 - jsuchome@suse.cz
- call Recovery from profile-manager when necessary
- ProgressPopup moved to ProfileManager.ycp
- 2.10.5
* Fri Sep 03 2004 - jsuchome@suse.cz
- scpm-agent: added support for SCPM::Recovery () function
- documentation slightly updated
- 2.10.4
* Fri Aug 27 2004 - jsuchome@suse.cz
- merged in proofread text
- 2.10.3
* Fri Aug 13 2004 - jsuchome@suse.cz
- use Service instead of Runlevel
- fixed build
- 2.10.2
* Fri Jul 30 2004 - jsuchome@suse.cz
- use Package module instead of Require
* Wed Jun 16 2004 - jsuchome@suse.cz
- updated testsuite (use Testsuite:: module, set testedfiles)
- 2.10.1
* Mon Jun 14 2004 - jsuchome@suse.cz
- added command line option to start switch directly
- 2.10.0
* Wed May 05 2004 - jsuchome@suse.cz
- 2.9.8
* Tue May 04 2004 - jsuchome@suse.cz
- merged in proofread text
* Fri Apr 02 2004 - jsuchome@suse.cz
- changed license to GPL
- 2.9.7
* Mon Mar 22 2004 - jsuchome@suse.cz
- 2.9.6
* Fri Mar 19 2004 - mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Fri Mar 12 2004 - jsuchome@suse.cz
- fixed label
- check if file with customs exist before reading from it
* Wed Mar 10 2004 - nashif@suse.de
- adapted for new wizard
* Mon Mar 08 2004 - jsuchome@suse.cz
- more type fixes
- desktop icons
- 2.9.4
* Mon Mar 01 2004 - jsuchome@suse.cz
- fixed types
- 2.9.3
* Mon Mar 01 2004 - jsuchome@suse.cz
- merged texts from proofread
* Fri Feb 27 2004 - jsuchome@suse.cz
- use WFM::GetEnvironmentEncoding instead of Encoding::console
* Mon Feb 09 2004 - jsuchome@suse.cz
- removed y2cc file
* Wed Feb 04 2004 - jsuchome@suse.cz
- syntax fixes for NI
- 2.9.2
* Tue Nov 18 2003 - jsuchome@suse.cz
- migrated to doxygen
- used UI:: builtins for file selection widgets
- 2.9.1
* Mon Oct 06 2003 - jsuchome@suse.cz
- list profiles even if SCPM is disabled (bug #30503)
- 2.9.0
* Tue Sep 16 2003 - jsuchome@suse.cz
- recode messages again... (#30498)
- 2.8.7
* Sun Sep 14 2003 - adrian@suse.de
- make it working in kcontrol
* Fri Sep 12 2003 - jsuchome@suse.cz
- do not recode mesages from scpm (#30498)
- 2.8.6
* Fri Sep 05 2003 - jsuchome@suse.cz
- merged in proofread texts
- 2.8.5
* Wed Aug 20 2003 - jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- do not rebuild SCDB before initialization
- 2.8.4
* Mon Aug 11 2003 - jsuchome@suse.de
- proofread texts, 1st round
- fixed reseting groups
- 2.8.3
* Thu Aug 07 2003 - jsuchome@suse.de
- new function: Reset resource group(s)
- reinitialize SCPM after update
* Wed Aug 06 2003 - jsuchome@suse.de
- added .desktop file
- updated help texts
* Mon Jul 14 2003 - jsuchome@suse.de
- agent-scpm: used RenameResourceGroup for renaming; comments
- enabled creating resource group with the name of deleted one
- adapting resource groups when its resources are modified (SwitchDialog)
- browse buttons for profile scripts
- Label/Popup interface
- adapted testsuite
- 2.8.2
* Fri May 30 2003 - jsuchome@suse.de
- saving modified resource groups to SCPM database
* Wed May 21 2003 - jsuchome@suse.de
- initial resource groups support
- extended workflow: dilaogs for editing resource groups and
  switch details
- 2.8.1
* Mon Apr 28 2003 - jsuchome@suse.de
- adapted to Require interface
- closing module after pressing "close window" button
- 2.8.0
* Fri Feb 14 2003 - jsuchome@suse.de
- implemented progress bar
- 2.7.4
* Mon Feb 10 2003 - jsuchome@suse.de
- proofreaded text from 3rd round
* Tue Feb 04 2003 - jsuchome@suse.cz
- only one progress popup for Save & Switch
* Mon Feb 03 2003 - jsuchome@suse.cz
- implemented call of SCPM::Save
- 2.7.3
* Wed Jan 29 2003 - jsuchome@suse.cz
- merged proofreaded texts
* Mon Jan 20 2003 - jsuchome@suse.de
- fixed shortcuts
- 2.7.2
* Fri Jan 17 2003 - jsuchome@suse.de
- added ncurses f-keys shortcuts
* Tue Jan 14 2003 - jsuchome@suse.de
- checking and displaying scpm errors
- adapted testsuite
- 2.7.1
* Fri Sep 20 2002 - jsuchome@suse.cz
- added new text for translation
- 2.6.6
* Wed Sep 18 2002 - jsuchome@suse.cz
- translated text showed in ShowChanges Popup
* Sat Sep 07 2002 - mvidner@suse.cz
- Make "yast2 profile_manager" invoke "yast2 profile-manager"
  (#17570, #19053 workaround).
- 2.6.5
* Thu Sep 05 2002 - jsuchome@suse.cz
- changed size of ShowChanges popup
- reduced documentation
* Mon Sep 02 2002 - jsuchome@suse.cz
- added introduction text
* Mon Aug 26 2002 - jsuchome@suse.cz
- adding new profile doesn't copy the active profile's properties
- enabling/disabling parts of AddProfile popup
* Fri Aug 23 2002 - jsuchome@suse.cz
- added/changed buttons to Switch dialog
- updated helptexts
- introduction can be run from the main dialog; also in ncurses
* Mon Aug 19 2002 - jsuchome@suse.cz
- Correctly writing all progress information.
- Fixed bug in ProgressPopup checkbox.
* Thu Aug 15 2002 - jsuchome@suse.cz
- recoding texts from different encoding
- temporary solution for finishing progress (ProgressPopup)
- enabled checkbox in ProgressPopup
* Wed Aug 14 2002 - jsuchome@suse.cz
- updated translation texts
- 2.6.3
* Mon Aug 12 2002 - jsuchome@suse.de
- simplified map operations
- more checks to use info application
* Tue Aug 06 2002 - jsuchome@suse.de
- updated testsuite
* Fri Aug 02 2002 - jsuchome@suse.cz
- enabled switch to active profile
- used background agent
* Wed Jul 31 2002 - jsuchome@suse.cz
- imlemented threads to agent
- 2.6.2
* Tue Jul 30 2002 - jsuchome@suse.cz
- fixed testsuite failing
* Mon Jul 29 2002 - jsuchome@suse.cz
- fixed bugs
- agent works now
* Mon Jul 22 2002 - jsuchome@suse.cz
- implemented workflow
- help texts
- initial version of agent-scpm
* Thu Jul 11 2002 - jsuchome@suse.cz
- initial version
